> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Template details

> API to fetch content of a template group (active & draft versions) across all associated channels and languages.

<Warning>
  **Legacy API.** This is the older endpoint to fetch template details. We have released template 2.0 with variant support due to which the content structure and template APIs have changed. The new APIs are listed under [Management API → Templates](/reference/get-template-v2).

  This endpoint continues to return the live and draft content of templates created **before 14 April 2026**. Templates created on or after that date are only available through the new APIs.
</Warning>


## OpenAPI

````yaml GET /v1/template/{template_slug}
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/template/{template_slug}:
    get:
      summary: Fetch Template details
      description: >-
        API to fetch content of a template group (active & draft versions)
        across all associated channels and languages.
      operationId: fetch-template-details
      parameters:
        - name: template_slug
          in: path
          description: >-
            Template group slug you want to fetch content details. You'll get
            the template slug by clicking on copy button next to template group
            name on SuprSend dashboard -> template details page.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: '166277'
                    name: Task Reminder
                    slug: task-reminder
                    description: Batched template for all pending tasks
                    is_active: true
                    default_language:
                      name: English
                      slug: en
                    created_at: '2023-01-25T04:53:39.237291Z'
                    updated_at: '2023-08-28T05:06:22.461443Z'
                    updated_by:
                      name: team_member
                      email: user@example.com
                    last_triggered_at: '2023-08-10T12:44:03.361158Z'
                    is_auto_translate_enabled: false
                    enabled_languages:
                      - en
                      - fr
                      - es
                    channels:
                      - id: '1244'
                        channel:
                          name: Email
                          slug: email
                          is_template_approval_needed: true
                        is_active: true
                        is_enabled: true
                        created_at: '2023-01-25T04:53:39.268299Z'
                        updated_at: '2023-01-25T04:53:39.404273Z'
                        disabled_languages: []
                        versions: []
                    tags:
                      - id: 01H9HPT1C5ABN61S12D85J9DJ7
                        name: tag
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    description: internal template_id
                  name:
                    type: string
                    description: template name given by user
                  slug:
                    type: string
                    description: unique template slug generated from name
                  description:
                    type: string
                    nullable: true
                    description: template description given by user
                  is_active:
                    type: boolean
                    description: >-
                      is true when atleast 1 template version is live for the
                      channel
                  default_language:
                    type: object
                    properties:
                      name:
                        type: string
                        example: English
                      slug:
                        type: string
                        example: en
                  created_at:
                    type: string
                    format: date-time
                    description: template creation time
                  updated_at:
                    type: string
                    format: date-time
                    description: latest template modification time
                  updated_by:
                    type: object
                    properties:
                      name:
                        type: string
                        description: team member name who last updated the template
                      email:
                        type: string
                        format: email
                        description: team member email who last updated the template
                  last_triggered_at:
                    type: string
                    format: date-time
                    description: time when the workflow was last triggered
                  is_auto_translate_enabled:
                    type: boolean
                    example: false
                  enabled_languages:
                    type: array
                    items:
                      type: string
                    examples:
                      english:
                        summary: English language
                        value: en
                      french:
                        summary: French language
                        value: fr
                      spanish:
                        summary: Spanish language
                        value: es
                  channels:
                    type: array
                    description: >-
                      array of all template enabled channels along with their
                      language and active status
                    items:
                      type: object
                  tags:
                    type: array
                    description: tags added in the template group
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: unique tag identifier
                          example: 01H9HPT1C5ABN61S12D85J9DJ7
                        name:
                          type: string
                          description: tag name
                          example: tag
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````